// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Capitulo 6: Tipos Estructurados

// Programa que dada una palabra con un mximo de N caracteres y
// acabada con el carcter espacio ' ', la escribe al revs.

#include <iostream>
#include <string>

using namespace std;

// Definicin de constantes
const int N = 15;

// Programa principal
int main()
{
  // Declaracin de variables
  char pal[N+1];
  int i;

  // Leemos la palabra que queremos invertir
  // {PRE: El nmero de caracteres de la palabra es como mximo N}
  cin >> pal; // "cin" sobre una tabla "pal" lee los valores
              // hasta que se encuentra un espacio ' '
              // e indorpora el centinela '\0'

  // Calculamos la longitud de la palabra
  i = strlen(pal) - 1;

  // Invertimos la palabra leida
  while (i>=0) cout << pal[i--];

  return 0;
}
