// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Capitulo 6: Tipos Estructurados

// Programa que dada una palabra con un mximo de N caracteres y
// acabada con el carcter punto '.', la escribe al revs.

#include <iostream>

using namespace std;

// Definicin de constantes
const int N = 15;

// Definicin de tipos
typedef char tTabla[N];

struct tPalabra{
  tTabla nombre;
  int    longitud;
};

// Programa principal
int main()
{
  // Declaracin de variables
  tPalabra pal; char aux; int i = 0;

  // Leemos la palabra que queremos invertir
  cin >> aux;
  // {PRE: El nmero de caracteres de la palabra es como mximo N}
  while ( aux != '.' )
  {
    pal.nombre[i] = aux;
    i++;
    cin >> aux;
  }
  // Actualizamos la longitud de la palabra
  pal.longitud = i;

  // Invertimos la palabra leida
  i = pal.longitud - 1;
  while ( i >= 0 )
  {
    cout << pal.nombre[i];
    i--;
  }
  cout << endl;

  return 0;
}
