// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Capitulo 6: Tipos Estructurados

// Programa que dada una palabra con un mximo de N caracteres y
// acabada con el carcter punto '.', la escribe al revs.

#include <iostream>

using namespace std;

// Definicin de constantes
const int N = 15;

// Definicin de tipos
typedef char tTabla[N+1]; // Hay que sumar '+1' porque tenemos el centinela

// Programa principal
int main()
{
  // Declaracin de variables
  tTabla nombre;
  char aux;
  int i;

  // Leemos la palabra que queremos invertir
  i = 0;
  cin >> aux;
  // {PRE: El nmero de caracteres de la palabra es como mximo N}
  while ( aux != '.' )
  {
    nombre[i] = aux;
    i = i + 1;
    cin >> aux;
  }
  // Podemos el centinela
  nombre[i] = aux; // Equivalentemente, nombre[i] = '.';

  // Invertimos la palabra leida
  i = i - 1;
  while ( i >= 0 )
  {
    cout << nombre[i];
    i = i - 1;
  }
  cout << endl;

  return 0;
}
