// Programacin en C++ para Ingenieros, Ed. Thomson Paraninfo, 2006
// Capitulo 6: Tipos Estructurados

// Programa que dados 10 reales, calcula cuntos valores
// son mayores que la media.

#include <iostream>

using namespace std;

// Definicin de constantes
const int N = 10;

// Definicin de tipos
typedef float tValores[N];

// Programa principal
int main()
{
  // Declaracion de variables
  tValores val;
  float    media;
  int      i, num;

  cout << "Entra " << N << " reales para calcular cuantos valores son ";
  cout << "mayores que la media: " << endl;
  // Leemos los 10 valores y calculamos la media
  for ( i = 0; i < N; i++ )
  {
    cin >> *(val+i);
    media += *(val+i);
  }
  media = (float)(media / N);

  // Esquema de recorrido para calcular cuntos valores son mayores que la media
  // Inicializacin del tratamiento
  i   = 0;
  num = 0;
  while ( i < N )
  {
    // Tratamiento del i-simo elemento
    if ( *(val+i) > media ) num++;
    // Actualizacin al siguiente elemento
    i++;
  }

  // Escribimos el valor solicitado
  cout << num << endl;

  return 0;
}
